From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/gawk/
Date: Tue, 15 Nov 2022 10:50:54 +0000 (UTC) [thread overview]
Message-ID: <1668509275.1a4f6d6186f18d1ff2a1a7a6c508c5fb2fc4fbd1.sam@gentoo> (raw)
commit: 1a4f6d6186f18d1ff2a1a7a6c508c5fb2fc4fbd1
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 15 10:47:55 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Nov 15 10:47:55 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a4f6d61
sys-apps/gawk: add 5.2.1_beta (unkeyworded)
Please test and report bugs upstream to bug-gawk if you find any problems.
Bug: https://bugs.gentoo.org/868567
Bug: https://bugs.gentoo.org/868522
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-apps/gawk/Manifest | 1 +
sys-apps/gawk/gawk-5.2.1_beta.ebuild | 131 +++++++++++++++++++++++++++++++++++
2 files changed, 132 insertions(+)
diff --git a/sys-apps/gawk/Manifest b/sys-apps/gawk/Manifest
index fab6c00a5a4b..5a77458f6919 100644
--- a/sys-apps/gawk/Manifest
+++ b/sys-apps/gawk/Manifest
@@ -2,3 +2,4 @@ DIST gawk-5.1.1.tar.xz 3250860 BLAKE2B 35eec6f4c9bf52496ac16e4b0e1b98947ae0dd46d
DIST gawk-5.1.1.tar.xz.sig 488 BLAKE2B 1c7813753f3e982e1ef31efc7a1d78da4b977064b395e7b138ce09e68c1b9cb9a7b7de0d0b36afd6d39a2e62d5563cf7ceac6fcc73e9124ab07eceb56c0aa040 SHA512 71ecfa1b3a9e3005f033e83a75abce5c576c7941c62ed571cb6124032426db0e220bcdd577395d1af00a53c13dd1c8e6de71702cbe9c71960d3a3ff76dc026bd
DIST gawk-5.2.0.tar.xz 3385496 BLAKE2B c4df19fe59c67ca1de490febc218f7eebb7f9d99f383b908c0af4179f89570d9bc102c0f1c2235dd758e397717957352853b2efbf7282532f51b17538dd95bf1 SHA512 e81e1efb1be06f82602e704d10e8de4b78797d058d9718d353e0837660dc8adf952965240c0a3b1a71c3e295f2e9641eacf64496d1d896edd81b101e09a656ac
DIST gawk-5.2.0.tar.xz.sig 488 BLAKE2B 541e06de12f720bfd890daae8f50263ec5eeebb1bff1e69510fcc004b0fd0b5c4b9e182557757e833ad10324ce51c4db47c0857b5feaf17002975dfd34be35ab SHA512 c9ae287fbb31e35384ed8814b4f51e7f7e214f499556b71eb4b8085b65c73d0e32f88eb17f83aed8dfc6880485e7a348887cdf9ae54f3b13265dbf653cf84665
+DIST gawk-5.2.0b.tar.gz 6592187 BLAKE2B 3c6111fd8668597db6d2862e78f706dae0c826af82778cf96cd8aa2274e239c1d8c092def0dd4654a0bb8cf9b7fef3c3f20fcf29ce70c4c1298eca744d4609a9 SHA512 217ad67ee8a8f8dd03d4c10536c1c535a5b62cd6b7d63a1cd3248748b9fb5e180a669ef04b9887d88cd98ac00132450ac95b8ea820329cf0cca494d187af1d5d
diff --git a/sys-apps/gawk/gawk-5.2.1_beta.ebuild b/sys-apps/gawk/gawk-5.2.1_beta.ebuild
new file mode 100644
index 000000000000..a9b72f556c44
--- /dev/null
+++ b/sys-apps/gawk/gawk-5.2.1_beta.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+GAWK_IS_BETA=yes
+
+DESCRIPTION="GNU awk pattern-matching language"
+HOMEPAGE="https://www.gnu.org/software/gawk/gawk.html"
+
+if [[ ${GAWK_IS_BETA} == yes || ${PV} == *_beta* ]] ; then
+ if [[ ${PV} == *_beta* ]] ; then
+ # Beta versioning is sometimes for the release prior, e.g.
+ # 5.2.1_beta is labelled upstream as 5.2.0b.
+ MY_PV=${PV/_beta/b}
+ MY_PV=$(ver_cut 1-2 ${MY_PV}).$(($(ver_cut 3 ${MY_PV}) - 1))$(ver_cut 4- ${MY_PV})
+ MY_P=${PN}-${MY_PV}
+
+ S="${WORKDIR}"/${MY_P}
+ else
+ MY_P=${P}
+ fi
+
+ SRC_URI="https://www.skeeve.com/gawk/${MY_P}.tar.gz"
+else
+ VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/gawk.asc
+ inherit verify-sig
+
+ SRC_URI="mirror://gnu/gawk/${P}.tar.xz"
+ SRC_URI+=" verify-sig? ( mirror://gnu/gawk/${P}.tar.xz.sig )"
+
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="mpfr pma nls readline"
+
+RDEPEND="
+ mpfr? (
+ dev-libs/gmp:=
+ dev-libs/mpfr:=
+ )
+ readline? ( sys-libs/readline:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ >=sys-apps/texinfo-6.7
+ >=sys-devel/bison-3.5.4
+ nls? ( sys-devel/gettext )
+"
+
+if [[ ${GAWK_IS_BETA} != yes ]] ; then
+ BDEPEND+=" verify-sig? ( sec-keys/openpgp-keys-gawk )"
+fi
+
+src_prepare() {
+ default
+
+ # Use symlinks rather than hardlinks, and disable version links
+ sed -i \
+ -e '/^LN =/s:=.*:= $(LN_S):' \
+ -e '/install-exec-hook:/s|$|\nfoo:|' \
+ Makefile.in doc/Makefile.in || die
+
+ # bug #413327
+ sed -i '/^pty1:$/s|$|\n_pty1:|' test/Makefile.in || die
+
+ # Fix standards conflict on Solaris
+ if [[ ${CHOST} == *-solaris* ]] ; then
+ sed -i \
+ -e '/\<_XOPEN_SOURCE\>/s/1$/600/' \
+ -e '/\<_XOPEN_SOURCE_EXTENDED\>/s/1//' \
+ extension/inplace.c || die
+ fi
+}
+
+src_configure() {
+ # Avoid automagic dependency on libsigsegv
+ export ac_cv_libsigsegv=no
+
+ local myeconfargs=(
+ --cache-file="${S}"/config.cache
+ --libexec='$(libdir)/misc'
+ $(use_with mpfr)
+ $(use_enable nls)
+ $(use_enable pma)
+ $(use_with readline)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ # Automatic dodocs barfs
+ rm -rf README_d || die
+
+ default
+
+ # Install headers
+ insinto /usr/include/awk
+ doins *.h
+ rm "${ED}"/usr/include/awk/config.h || die
+}
+
+pkg_postinst() {
+ # Symlink creation here as the links do not belong to gawk, but to any awk
+ if has_version app-admin/eselect && has_version app-eselect/eselect-awk ; then
+ eselect awk update ifunset
+ else
+ local l
+ for l in "${EROOT}"/usr/share/man/man1/gawk.1* "${EROOT}"/usr/bin/gawk ; do
+ if [[ -e ${l} ]] && ! [[ -e ${l/gawk/awk} ]] ; then
+ ln -s "${l##*/}" "${l/gawk/awk}" || die
+ fi
+ done
+
+ if ! [[ -e ${EROOT}/bin/awk ]] ; then
+ # /bin might not exist yet (stage1)
+ [[ -d "${EROOT}/bin" ]] || mkdir "${EROOT}/bin" || die
+
+ ln -s "../usr/bin/gawk" "${EROOT}/bin/awk" || die
+ fi
+ fi
+}
+
+pkg_postrm() {
+ if has_version app-admin/eselect && has_version app-eselect/eselect-awk ; then
+ eselect awk update ifunset
+ fi
+}
next reply other threads:[~2022-11-15 10:50 UTC|newest]
Thread overview: 134+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-11-15 10:50 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-09 5:18 [gentoo-commits] repo/gentoo:master commit in: sys-apps/gawk/ Sam James
2025-01-08 22:43 Sam James
2024-10-30 15:46 Arthur Zamarin
2024-10-30 15:11 Sam James
2024-10-29 2:45 Sam James
2024-10-29 2:45 Sam James
2024-10-29 2:45 Sam James
2024-10-29 2:45 Sam James
2024-10-29 2:45 Sam James
2024-09-18 6:17 Sam James
2024-03-04 11:09 Sam James
2024-02-22 4:45 Ionen Wolkens
2024-02-22 4:45 Ionen Wolkens
2024-02-06 20:37 Sam James
2024-02-06 8:15 Sam James
2024-02-06 8:15 Sam James
2024-02-06 8:15 Sam James
2024-02-06 8:15 Sam James
2024-02-06 8:15 Sam James
2024-01-17 2:46 Ionen Wolkens
2024-01-17 2:46 Ionen Wolkens
2023-12-29 14:46 Arthur Zamarin
2023-12-24 17:21 Arthur Zamarin
2023-12-24 1:07 Sam James
2023-12-24 1:07 Sam James
2023-11-03 15:39 Sam James
2023-06-17 21:03 Sam James
2023-06-17 16:09 Sam James
2023-06-17 11:23 Arthur Zamarin
2023-06-17 6:12 Sam James
2023-06-17 5:57 Sam James
2023-06-17 5:57 Sam James
2023-05-10 18:49 Sam James
2023-04-20 19:04 Sam James
2022-12-30 23:40 Sam James
2022-12-28 0:33 Sam James
2022-12-27 19:53 Sam James
2022-12-27 19:45 Sam James
2022-12-27 13:40 Sam James
2022-12-27 11:31 Sam James
2022-12-24 12:55 Sam James
2022-11-22 18:28 Sam James
2022-10-18 2:47 Sam James
2022-10-18 2:18 Sam James
2022-09-19 3:28 Sam James
2022-09-04 22:56 Sam James
2022-08-19 22:05 Sam James
2022-05-30 2:49 Sam James
2022-04-17 17:06 Sam James
2022-04-12 10:56 Sam James
2022-04-09 12:33 Andreas K. Hüttel
2022-04-07 0:46 Sam James
2022-03-06 7:35 Sam James
2022-02-23 4:39 Arthur Zamarin
2022-02-19 9:47 Arthur Zamarin
2022-02-19 3:02 Sam James
2022-02-19 2:36 Sam James
2022-02-19 2:36 Sam James
2022-02-19 2:28 Sam James
2022-02-19 2:24 Sam James
2021-10-29 17:02 Sam James
2021-10-29 10:23 Sam James
2021-10-29 5:54 Lars Wendler
2021-05-14 22:14 David Seifert
2021-05-13 13:55 David Seifert
2021-01-06 15:26 Fabian Groffen
2020-12-27 18:13 Fabian Groffen
2020-09-23 10:29 Agostino Sarubbo
2020-09-20 20:21 Agostino Sarubbo
2020-09-18 8:32 Agostino Sarubbo
2020-09-06 7:49 Sergei Trofimovich
2020-08-31 22:52 Sam James
2020-08-31 22:44 Sam James
2020-08-29 14:48 Thomas Deutschmann
2020-08-18 11:19 Agostino Sarubbo
2020-08-16 22:24 Sam James
2020-07-05 9:27 Sergei Trofimovich
2020-06-20 14:08 Thomas Deutschmann
2020-06-08 16:34 Mart Raudsepp
2020-06-06 18:01 Michał Górny
2020-05-30 19:33 Sergei Trofimovich
2020-05-30 19:23 Sergei Trofimovich
2020-05-30 3:55 Mike Gilbert
2020-05-30 0:55 Mike Frysinger
2020-05-29 7:39 Agostino Sarubbo
2020-05-27 6:28 Sergei Trofimovich
2020-04-14 19:32 Lars Wendler
2020-04-14 19:32 Lars Wendler
2020-01-17 16:02 Mike Gilbert
2019-06-19 8:31 Lars Wendler
2019-06-19 8:31 Lars Wendler
2019-05-23 13:09 Mikle Kolyada
2019-05-23 13:09 Mikle Kolyada
2019-05-23 13:09 Mikle Kolyada
2019-05-07 18:03 Tobias Klausmann
2019-05-03 23:53 Mikle Kolyada
2019-04-29 19:49 Sergei Trofimovich
2019-04-28 20:26 Mikle Kolyada
2019-04-27 16:25 Sergei Trofimovich
2019-04-27 16:03 Sergei Trofimovich
2019-04-27 15:48 Sergei Trofimovich
2019-04-24 21:33 Thomas Deutschmann
2019-04-24 2:01 Aaron Bauman
2019-04-23 20:59 Sergei Trofimovich
2019-04-23 19:26 Mikle Kolyada
2019-04-13 8:56 Lars Wendler
2018-05-10 17:27 Mikle Kolyada
2018-05-10 17:26 Mikle Kolyada
2018-05-01 20:47 Mikle Kolyada
2018-04-14 21:45 Mart Raudsepp
2018-03-22 16:42 Mikle Kolyada
2018-03-05 18:37 Mike Frysinger
2018-03-04 6:26 Mike Frysinger
2018-02-26 11:00 Lars Wendler
2017-11-29 5:56 Markus Meier
2017-10-24 12:43 Fabian Groffen
2017-10-22 21:42 Tobias Klausmann
2017-10-22 20:33 Thomas Deutschmann
2017-10-21 22:15 Sergei Trofimovich
2017-10-21 9:10 Sergei Trofimovich
2017-10-20 19:43 Sergei Trofimovich
2017-10-20 19:43 Sergei Trofimovich
2017-10-20 15:14 Manuel Rüger
2017-10-20 7:33 Lars Wendler
2017-01-04 13:53 Fabian Groffen
2016-12-08 6:17 Mike Frysinger
2016-08-25 23:17 Lars Wendler
2016-08-25 23:17 Lars Wendler
2016-06-04 5:01 Markus Meier
2016-05-27 12:46 Lars Wendler
2016-05-26 20:05 Lars Wendler
2016-05-25 6:29 Matt Turner
2016-05-24 12:19 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1668509275.1a4f6d6186f18d1ff2a1a7a6c508c5fb2fc4fbd1.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox